------------------------------------------------------------------------------------
--Name:  	Thanksgiving8
--Creator:	由剧情表现脚本编辑器生成
--Created:	2022-10-24
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(30, 39)
local monster_3 = CppScriptMgr:AddPlayer(950, 28, 37, "", 0, 0)
monster_3:SetDir(7)
local monster_0 = CppScriptMgr:AddPlayer(369, 36, 45, "", 0, 0)
monster_0:SetDir(3)
local monster_1 = CppScriptMgr:AddPlayer(369, 34, 47, "", 0, 0)
monster_1:SetDir(3)
local monster_2 = CppScriptMgr:AddPlayer(369, 38, 43, "", 0, 0)
monster_2:SetDir(3)
CppScriptMgr:WaitMilSec(500)
monster_3:Say("Cuties, you look so delicious.", 1000)
monster_3:SetAction(401)
CppScriptMgr:WaitMilSec(1860)
monster_1:SetAction(170)
monster_2:SetAction(170)
CppScriptMgr:WaitMilSec(500)
monster_0:SetAction(170)
monster_0:Say("Waah... who can help us!", 1000)
CppScriptMgr:WaitMilSec(1630)
local effect_0 = CppScriptMgr:AddEffect("zf2-e233", 32, 41, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(290)
local npc_0 = CppScriptMgr:AddSimplePlayer(1062510, 32, 41, "", 0, 0)
npc_0:SetDir(3)
CppScriptMgr:WaitMilSec(870)
CppScriptMgr:NpcCallOut("Summon!", 1000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_TG2022HJSJ", 150, 430, "4th Turkey Sister", 250, 655)
npc_0:Say("Summon!", 1000)
npc_0:SetAction(401)
CppScriptMgr:WaitMilSec(810)
monster_3:SetFrameInterval(11)
monster_3:SetAction(330)
local effect_1 = CppScriptMgr:AddEffect("longpi6_452", 20, 44, 33, 1, 1, 1)
effect_1:Scale(3, 3, 3)
CppScriptMgr:WaitMilSec(1640)
monster_3:Say("Hmph! I won`t let you get away next time!", 1000)
CppScriptMgr:WaitMilSec(90)
monster_3:SetFrameInterval(33)
CppScriptMgr:WaitMilSec(700)
monster_3:SetDir(5)
CppScriptMgr:WaitMilSec(520)
monster_0:Say("Thank you for your help!", 1000)
npc_0:SetDir(7)
monster_3:JumpTo(40, 24)
monster_0:SetAction(200)
monster_1:SetAction(200)
monster_2:SetAction(200)
CppScriptMgr:WaitMilSec(1960)
monster_3:SetHide(1)
CppScriptMgr:WaitMilSec(190)
CppScriptMgr:SetDarkScreen(1000)
monster_0:SetHide(1)
monster_1:SetHide(1)
monster_2:SetHide(1)
CppScriptMgr:WaitMilSec(70)
npc_0:SetHide(1)
CppScriptMgr:WaitMilSec(670)
local npc_1 = CppScriptMgr:AddSimplePlayer(17590, 30, 39, "Spiritual Fruit", 0, 0)
npc_1:AddEffect("621029", 33)
local effect_2 = CppScriptMgr:AddEffect("zf2-e233", 28, 41, 33, 1, 1, 1)
local effect_3 = CppScriptMgr:AddEffect("zf2-e233", 32, 37, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(470)
local npc_2 = CppScriptMgr:AddSimplePlayer(1062530, 28, 41, "6th Turkey Brother", 0, 0)
npc_2:SetDir(5)
local player_0 = CppScriptMgr:QueryHero()
local actor_name_0 = player_0:GetName()
player_0:SetPos(32, 37)
player_0:SetDir(1)
CppScriptMgr:WaitMilSec(1110)
CppScriptMgr:NpcCallOut("My 4th sister once saved Chaos Goblin from the mouth of a giant dragon.", 1000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_TG2022HJLD", 150, 430, "6th Turkey Brother", 250, 655)
npc_2:Say("My 4th sister once saved Chaos Goblin from the mouth of a giant dragon.", 1000)
CppScriptMgr:WaitMilSec(2040)
CppScriptMgr:NpcCallOut("To thank my sister, Chaos Goblin cast Super Chaos here.", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_TG2022HJLD", 150, 430, "6th Turkey Brother", 250, 655)
npc_2:Say("To thank my sister, Chaos Goblin cast Super Chaos here.", 1500)
CppScriptMgr:WaitMilSec(1880)
player_0:Say("What`s Super Chaos?", 1000)
player_0:SetAction(200)
CppScriptMgr:NpcCallOut("What`s Super Chaos?", 1000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc30789", 150, 430, actor_name_0, 250, 655)
CppScriptMgr:WaitMilSec(1960)
npc_2:Say("It can get you into the chaotic state once you step into this fort.", 1500)
CppScriptMgr:NpcCallOut("It can get you into the chaotic state once you step into this fort.", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_TG2022HJLD", 150, 430, "6th Turkey Brother", 250, 655)
CppScriptMgr:WaitMilSec(1930)
player_0:Say("What should I do then?", 1000)
player_0:SetAction(200)
CppScriptMgr:NpcCallOut("What should I do then?", 1000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc30789", 150, 430, actor_name_0, 250, 655)
CppScriptMgr:WaitMilSec(1230)
CppScriptMgr:NpcCallOut("Pick some Spiritual Fruits from this tree and eat them to get rid of the chaotic state.", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_TG2022HJLD", 150, 430, "6th Turkey Brother", 250, 655)
npc_2:Say("Pick some Spiritual Fruits from this tree and eat them to get rid of the chaotic state.", 1000)
CppScriptMgr:WaitMilSec(1770)